NAMED-CHECKCONF(8)

NAME
named-checkconf - named configuration file syntax checking tool

SYNOPSIS

named-checkconf [ -v ] [ -t directory ] filename

DESCRIPTION

named-checkconf checks the syntax, but not the semantics, of a named configuration file.

OPTIONS

-t directory
    chroot to directory so that include directives in the configuration file are processed as if run by a similarly chrooted named.

-v  Print the version of the named-checkconf program and exit.

filename
    The name of the configuration file to be checked. If not specified, it defaults to /usr/local/etc/named.conf.

RETURN VALUES

named-checkconf returns an exit status of 1 if errors were detected and 0 otherwise.

SEE ALSO

named(8), BIND 9 Administrator Reference Manual.

AUTHOR

Internet Software Consortium